# -*- coding: utf-8 -*-

"""
Функция разворачивает чек на позиции, ищет товар в позиции в переданном функции каталоге
и, если товар найден, то устанавливает цену из каталога. 
Возвращают словарь из номеров позиций в качестве ключей
и суммы скидки в качестве значений для единицы товара.
"""

def catalogGoods(self, catalogid):
    result = {}
    for item in self.checkWrapper.getGoodsList():
        itemPrices = dict((catalog["catalogid"], catalog["tmcprice"]) for catalog in item.data["tmc"]["catalogs"] if catalog["tmcprice"] != None)
        if itemPrices.get(catalogid) != None and item.data["posnum"] not in result:
            result[item.data["posnum"]] = (item.data["price"] - itemPrices.get(catalogid)) * item.data["bquant"]
    return result
