'''
Created on 03.03.2011

@author: gsu
'''

import sys
if sys.version_info.major == 3:
    import configparser
else:
    import ConfigParser as configparser

class TConfigStub(object):
    def __init__(self, fileName = None):
        self.cp = configparser.ConfigParser()
        if fileName:
            self.cp.read(fileName)

    def getInt(self, s, dflt=-1):
        try:
            name = s.split(':');
            result = self.cp.get(name[0], name[1]).replace(';', '').replace('"', '').replace("'", "")
            value = int(result)
            return value
        except:
            return dflt

    def getSectionsListByMask(self, mask):
        return []
    
    def getStringParameter(self, s, dflt=None):
        try:
            name = s.split(':');
            value = self.cp.get(name[0], name[1]).replace(';', '').replace('"', '').replace("'", "")
            return value
        except:
            return dflt

config = TConfigStub()

